import sys
import pygame
import game_vars
from game_screen import *
from game_consts import *
from intro_outtro import *

################################################################################

def main():
    # Set the current directory
    os.chdir(os.path.dirname(sys.argv[0]))

    # Initial game vars
    game_vars.Vars = game_vars.GameVars()

    pygame.init()

    # pygame.display.set_icon(pygame.image.load(os.path.join("data", "icon.png")))
    pygame.display.set_caption(SCREEN_CAPTION)
    screen = pygame.display.set_mode(SCREEN_SIZE, 0, 32)
    pygame.mouse.set_visible(False) # We have our own cursor!

    IntroScreen(screen).play()
    GameScreen(screen).play()

    if game_vars.Vars.won_game:
        GameOverScreen(screen).play()

    pygame.quit()

################################################################################

if __name__ == '__main__':
    main()
