import pygame
from pygame.locals import *
from talkpaneoption import *

class TalkPane(object):
    POSITION = (0, 375)
    SIZE = (640, 105)

    def __init__(self):
        self.background = pygame.Surface(self.SIZE, depth=32)
        self.background.fill((0, 0, 0))
        self.rect = pygame.Rect(self.POSITION[0], self.POSITION[1], self.SIZE[0], self.SIZE[1])
        
        self.option_sprites = pygame.sprite.RenderUpdates()
        self.talkoptions_object = None

    def draw_background(self, screen):
        screen.blit(self.background, self.POSITION)

    def update(self, *args):
        self.option_sprites.update(*args)

    def is_in_options_mode(self):
        return len(self.option_sprites) != 0

    def draw(self, screen):
        self.draw_background(screen)
        return self.option_sprites.draw(screen)

    def set_talkoptions_object(self, talkoptions_object):
        self.talkoptions_object = talkoptions_object

        for i, opt in enumerate(talkoptions_object.options):
            self.option_sprites.add(TalkPaneOption(i, opt, self))

    def choose(self, option):
        if not self.talkoptions_object is None:
            self.option_sprites.empty()
            self.talkoptions_object.choose(option.index, option.text)
            self.talkoptions_object = None
        